%{
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "calc.h"
%}
%token	NUM

%left	'-' '+' '*' '/'

%%
input: /* empty*/
	| input line
	;

line:	'\n'
	| exp '\n'		{ printf("%d\n", $1); }
	;

exp: NUM
	| exp '+' exp	{ $$ = $1 + $3; }
	| exp '-' exp	{ $$ = $1 - $3; }
	| exp '*' exp	{ $$ = $1 * $3; }
	| exp '/' exp	{ $$ = $1 / $3; }
	;

%%
