#include <stdio.h>
#include <stdlib.h>
#include <ctype.h>
#ifdef UNIX
#include "parser.tab.h"
#else
#include "parser.h"
#endif

int yylex()
{
	int c = getchar();
	if (isdigit(c)) {
		char buff[128];
		char *p = buff;
		do {
			*p++ = c;
			c = getchar();
		} while (isdigit(c));
		ungetc(c, stdin);
		*p = '\0';
		yylval = atoi(buff);
		return NUM;
	}
	return c;
}
